Std ViewZoomIn: Difference between revisions

From FreeCAD Documentation
({{Std Base navi}} to categorize page)
No edit summary
 
(11 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:9-->
{{Docnav
|[[Std_ViewIvIssueCamPos|ViewIvIssueCamPos]]
|[[Std_ViewZoomOut|ViewZoomOut]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewIvIssueCamPos.svg
|IconR=Std_ViewZoomOut.svg
|IconC=Freecad.svg
}}


<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand
|Icon=Zoom-in.svg
|Name=Std ViewZoomIn
|Name=Std ViewZoomIn
|MenuLocation=[[Std View Menu|View]]Zoom‏‎ → Zoom In
|MenuLocation=View → Zoom → Zoom In
|Workbenches=All
|Workbenches=All
|Shortcut=Ctrl + +
|Shortcut={{KEY|Ctrl}}+{{KEY|+}}
|SeeAlso=[[Std ViewZoomOut|Zoom Out]], [[Std ViewBoxZoom|Zoom box]]
|SeeAlso=[[Std_ViewZoomOut|Std ViewZoomOut]], [[Std_ViewBoxZoom|Std ViewBoxZoom]]
}}
}}


==Description== <!--T:2-->
==Description== <!--T:6-->
Makes the content appear larger in the 3D view.


==How to use== <!--T:3-->
<!--T:2-->
The '''Std ViewZoomIn''' command zooms in in the active [[3D_view|3D view]].
* Go to {{MenuCommand|View → Zoom‏‎ → [[File:Zoom-in.svg|16px]] Zoom In}} or press {{KEY|Ctrl}}+{{KEY|+}}.
* The view can also be zoomed in with the mouse scroll wheel.


==Options== <!--T:4-->
==Usage== <!--T:7-->

* The zoom step can be changed in {{MenuCommand|Edit → Preferences → Display → 3D View}}.
<!--T:3-->
# There are several ways to invoke the command:
#* Select the {{MenuCommand|View → Zoom → [[Image:Std_ViewZoomIn.svg|16px]] Zoom In}} option from the menu.
#* Use the keyboard shortcut: {{KEY|Ctrl}}+{{KEY|+}}.

==Notes== <!--T:10-->

<!--T:11-->
* It is also possible to zoom with the mouse scroll wheel.

==Preferences== <!--T:12-->

<!--T:13-->
* The zoom factor can be changed in the preferences: {{MenuCommand|Edit → Preferences... → Display → Navigation → Zoom step}}. This setting also affects scroll wheel zoom. See [[Preferences_Editor#Navigation|Preferences Editor]].

==Scripting== <!--T:14-->

<!--T:15-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:16-->
To zoom in use the {{incode|zoomIn}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.

</translate>
{{Code|code=
import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.zoomIn()
}}
<translate>

<!--T:17-->
{{Docnav
|[[Std_ViewIvIssueCamPos|ViewIvIssueCamPos]]
|[[Std_ViewZoomOut|ViewZoomOut]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewIvIssueCamPos.svg
|IconR=Std_ViewZoomOut.svg
|IconC=Freecad.svg
}}


<!--T:5-->
{{Std Base navi}}
{{Userdocnavi}}
</translate>
</translate>
{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Latest revision as of 20:38, 22 December 2020

Std ViewZoomIn

Menu location
View → Zoom → Zoom In
Workbenches
All
Default shortcut
Ctrl++
Introduced in version
-
See also
Std ViewZoomOut, Std ViewBoxZoom

Description

The Std ViewZoomIn command zooms in in the active 3D view.

Usage

  1. There are several ways to invoke the command:
    • Select the View → Zoom → Zoom In option from the menu.
    • Use the keyboard shortcut: Ctrl++.

Notes

  • It is also possible to zoom with the mouse scroll wheel.

Preferences

  • The zoom factor can be changed in the preferences: Edit → Preferences... → Display → Navigation → Zoom step. This setting also affects scroll wheel zoom. See Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To zoom in use the zoomIn method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.zoomIn()